
Figure - Bug #116954
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】通知-应用通知-所有应用，上下滑动页面，部分应用的开关按钮显示错位
2023-03-15 11:01 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-15

Priority: Normal Due date: 2023-04-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101(X101)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

Reproducibility: Every time Fixed Version: 2023-04-04

Test Type: ST Root cause: Switch thumb 样式定义问题导致。

Description

【前提条件】

1、设备正常启动

【测试步骤】）

1、进入设置-通知-应用通知

2、选择所有图标

3、上下滑动页面

【预期结果】

3、页面内容正常显示

【实际结果】

3、部分应用的开关按钮显示错位

【复现率】

3/3

History

#1 - 2023-03-20 19:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188579 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix Switch button style problem.TC-RID: 1201-0201813IssueID: TS-R-BUG-116954Change-Id: Ib92ce45a4b81763d978173247ff5832c87742fc4

#2 - 2023-03-20 19:07 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED
- Degrated changed from -- to No

- Fixed Version set to 2023-03-20

- Root cause set to Switch thumb 样式定义问题导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

Switch thumb 样式定义问题导致。已调整其样式定义。这个问题分析后确定时样式定义不正确导致，新的方式参照了 AOSP 的定义方式，修改后，在设备

上进行验证没有再出现过位置异常的情况。但是因为 Switch 这个控件存在动画，所以不是完全确定会不会有其他问题，若出现其他问题，可以及时反馈

给我。

■ Next action

测试验证。

#3 - 2023-03-22 10:22 - CD TEST-方永红

- File 1021.png added

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-方永红 to CD FW-廖涛

3.22

验证失败

进入所有应用页面后，上下划动，仍有部分应用按钮显示异常

#4 - 2023-03-22 20:09 - CD FW-廖涛

- Status changed from VERIFY_FAILED to ASSIGNED

- % Done changed from 100 to 50

■ Current conclusion

可以概率复现，和之前的异常样式不一致，需要进一步分析。

#5 - 2023-03-28 10:13 - CD FW 曹覃刚

- Due date set to 2023-04-03

#6 - 2023-04-04 15:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191054 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix notification list switch style exception.1. Fix notification list switch style exception;2. Fix notification detial page block preference listener

problem;3. Adapter PrimarySwitchPreference switch style;TC-RID: 1201-0201803IssueID: TS-R-BUG-116954Change-Id:

2025-07-04 2/3



I784d18af74f488852be211028b6738a41911ad81

#7 - 2023-04-04 15:24 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 50 to 100

- Fixed Version changed from 2023-03-20 to 2023-04-04

■ Current conclusion

已处理，代码已入库。

■ My analysis

调整 Switch Style 样式定义，保证每个状态下都有对应的 Drawable 用于展示。状态对应已经尽量定义全，未定义的为使用默认值，需要测试进行验证。

■ Next action

测试验证。

#8 - 2023-04-06 11:05 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

4.6

验证通过

#9 - 2023-04-06 11:05 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-15 10-57-14.mp4 7.51 MB 2023-03-15 CD TEST-方永红

1021.png 145 KB 2023-03-22 CD TEST-方永红
